package com.judong.chuanyiserver.service;

import com.judong.chuanyiserver.entity.Permission;
import com.judong.chuanyiserver.util.Result;

public interface PermissionService {

    Result addPermission(Permission permission);

    Result updatePermission(Permission permission);

    Result getPermissionById(Integer id);

    Result getPermissionListByPage(Integer page, Integer limit, String permissionUrl, String permissionName);

    Result deletePermissionById(Integer id);
}
